/**
 * /modules.h
 * @version 1.0
 * @desc File storing the variables which represent each module
 * @author Fándly Gergő Zoltán (fandlygergo@gmail.hu, systemtest.tk)
 * @copy 2018 Fándly Gergő Zoltán
 * License:
    Firmware for the Profile F1 fertilizer machine.
    Copyright (C) 2018  Fándly Gergő Zoltán

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 **/

#ifndef MODULES_H_INCLUDED
#define MODULES_H_INCLUDED

//include libraries
#include <Arduino.h>
#include <Wire.h>

//include modules
#include "Adafruit_MCP23017.h"
#include "RtcDS1307.h"
#include "Memory.h"
#include "MotorBroker.h"
#include "TempLogger.h"

//modules
Adafruit_MCP23017 mcp;
RtcDS1307<TwoWire> rtc(Wire);
Memory memory;
MotorBroker motorBroker;
TempLogger tempLogger;

#endif // MODULES_H_INCLUDED
